/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\jediknight.cs
Lines of code: 81
***********************************************************/


using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a jedi knight corpse" )]
	public class jediknight : BaseCreature
	{
		public override bool ClickTitle{ get{ return false; } }
		public override double SwitchWeaponChance{ get{ return 0.8; } }		
		
		public override OppositionGroup OppositionGroup
		{
			get{ return OppositionGroup.JediAndSith; }
		}		

		[Constructable]
		public jediknight() : base( AIType.AI_Super, FightMode.Aggressor, 10, 1, 0.13, 0.24 )
		{
			SpeechHue = Utility.RandomDyedHue();
			Hue = Utility.RandomSkinHue();
			Name = "a jedi knight";
			Body = (( this.Female = Utility.RandomBool() ) ? Body = 0x191 : Body = 0x190);
			
			Hue = Utility.RandomSkinHue();

			SetStr( 126, 275 );
			SetDex( 91, 113 );
			SetInt( 131, 197 );

	        SetHits( 200, 300 );
			SetMana( 131, 197 );

			SetDamage( 23, 33 );

			SetDamageType( ResistanceType.Physical, 50 );
			SetDamageType( ResistanceType.Energy, 50 );

			SetResistance( ResistanceType.Physical, 20, 70 );
			SetResistance( ResistanceType.Fire, 1, 46 );
			SetResistance( ResistanceType.Cold, 45, 55 );
			SetResistance( ResistanceType.Poison, 57, 70 );
			SetResistance( ResistanceType.Energy, 40, 90 );

			SetSkill( SkillName.MagicResist, 90, 100 );
			SetSkill( SkillName.Tactics, 90, 167 );
			SetSkill( SkillName.Wrestling, 70, 120 );
			SetSkill( SkillName.Anatomy, 110.1, 100.0 );

			SetSkill( SkillName.Swords, 92.6, 150.5 );
			
			SetSkill( SkillName.Magery, 90, 100 );
			SetSkill( SkillName.EvalInt, 10, 100 );

			Fame = 3200;
			Karma = 2800;

			AddItem( new SamuraiTabi() );
			
			int suithue = Utility.RandomNeutralHue();

			AddItem( new Hakama(suithue) );
			AddItem( new HakamaShita(suithue) );
			
			AddItem( new FancyShirt(suithue) );
			AddItem( new WoodlandGloves() );	
			

			PackItem( new bluelightsaber() );


			Utility.AssignRandomHair( this );
		}
		
		public override void OnDeath( Container c )
 		{
			base.OnDeath( c );
 		}

		// TODO: Bushido abilities

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Gems, 2 );
		}

		//public override bool AlwaysMurderer{ get{ return true; } }
		public override bool BardImmune{ get{ return true; } }
		public override bool ShowFameTitle{ get{ return false; } }
		
		public override bool InitialInnocent{ get{ return true; } }		

		public jediknight( Serial serial ) : base( serial )
		{
		}
		

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
